QGIS Application - Bug report #1571
layers loose group when moving referenced shape-files
2009-03-12 11:32 AM - paull -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11631
Description

Steps to reproduce:

0) in the legend window, create groups and drop different layers to different groups (to keep everything nice and orderly)

1) move referenced shape file to new location

2) open qgis project -> qgis will ask you to locate the shape-files

3) after re-referencing the shape files, everything will be ok EXCEPT: in the legend window, the order with groups and layers is lost. The
layers are now all at the root-level again.The groups are still there but empty.

History

#1 - 2009-07-01 12:46 PM - Giovanni Manghi

Made tests with QGIS 1.2 under both Windows and Linux.

| cannot replicate this behaviour, as actually when the program asks about the moved shape and the new location is given, it is added at the top of legend,
outside its original group, but group order is respected, and the other shapes are in the right group.

This behaviour seems reasonable to me. Closing?

#2 - 2009-07-11 04:09 AM - Giovanni Manghi
- Resolution set to fixed

- Status changed from Open to Closed

I'm closing this because seems to me that the order of the groups is not lost. As a matter of fact the layers are then placed at the top of the legend, but this
problem is duplicate of #1561
